Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class AccTravQualBaseImpl

`java.lang.Object
oracle.jbo.common.AccTravQualBaseImpl`

All Implemented Interfaces:
  AccTravQualifier, java.io.Serializable

Direct Known Subclasses:
  AccTravQualAllImpl, AccTravQualByAttrValuesImpl, AccTravQualByDefFullNameImpl

public abstract class AccTravQualBaseImpl
extends java.lang.Object
implements AccTravQualifier

This abstract class is a base implementation of the `AccTravQualifier` interface.

Note that `isMatch(oracle.jbo.Row)` method is abstract.

Since:
  JDeveloper 10.1.2
See Also:
  `AccTravQualifier`, Serialized Form

Constructor Summary
`AccTravQualBaseImpl(AccTravInvoke[] accTravInvokes)`

Method Summary
`AccTravInvoke[]` | `getAccTravInvokes()` Returns an array of accessor traversal invocations.
`AccTravDef` | `getParent()` Returns the parent (containing) AccTravDef.
`abstract boolean` | `isMatch(Row row)` Returns if the row qualifies this AccTravQualifier.
`void` | `setParent(AccTravDef parent)` Sets the parent (containing) AccTravDef.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccTravQualBaseImpl

    public AccTravQualBaseImpl(AccTravInvoke[] accTravInvokes)

Method Detail

### getParent

    public AccTravDef getParent()

  Description copied from interface: `AccTravQualifier`
  Returns the parent (containing) AccTravDef.
  Specified by:
    `getParent` in interface `AccTravQualifier`
  Returns:
    the parent (containing) AccTravDef.

### setParent

    public void setParent(AccTravDef parent)

  Description copied from interface: `AccTravQualifier`
  Sets the parent (containing) AccTravDef.
  Specified by:
    `setParent` in interface `AccTravQualifier`
  Parameters:
    `parent` - the parent (containing) AccTravDef.

### isMatch

    public abstract boolean isMatch(Row row)

  Description copied from interface: `AccTravQualifier`
  Returns if the row qualifies this AccTravQualifier.
  Specified by:
    `isMatch` in interface `AccTravQualifier`
  Parameters:
    `row` - the row to match.
  Returns:
    a boolean flag indicating whether the row qualifies or now.

### getAccTravInvokes

    public AccTravInvoke[] getAccTravInvokes()

  Description copied from interface: `AccTravQualifier`
  Returns an array of accessor traversal invocations.
  Specified by:
    `getAccTravInvokes` in interface `AccTravQualifier`
  Returns:
    an array of accessor traversal invocations.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.